FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
Fl_FormsBitmap Class Reference

Forms compatibility Bitmap Image Widget. More...

`#include <Fl_FormsBitmap.H>`

Inheritance diagram for Fl_FormsBitmap:

List of all members.

## Public Member Functions
void | bitmap (Fl_Bitmap *B)
| Sets a new bitmap.
Fl_Bitmap * | bitmap () const
| Gets a the current associated Fl_Bitmap objects.
| Fl_FormsBitmap (Fl_Boxtype, int, int, int, int, const char *=0)
| Creates a bitmap widget from a box type, position, size and optional label specification.
void | set (int W, int H, const uchar *bits)
| Sets a new bitmap bits with size W,H.
## Protected Member Functions
void | draw ()
| Draws the bitmap and its associated box.

## Detailed Description

Forms compatibility Bitmap Image Widget.

## Member Function Documentation

void Fl_FormsBitmap::bitmap | ( | Fl_Bitmap * | B | ) | `[inline]`

Sets a new bitmap.

Fl_Bitmap* Fl_FormsBitmap::bitmap | ( |  | ) | const`[inline]`

Gets a the current associated Fl_Bitmap objects.

void Fl_FormsBitmap::draw | ( | void |  | ) | `[protected, virtual]`

Draws the bitmap and its associated box.

Implements Fl_Widget.

void Fl_FormsBitmap::set | ( | int | W,
|  | int | H,
|  | const uchar * | bits
| ) |  |

Sets a new bitmap bits with size W,H.

Deletes the previous one.

The documentation for this class was generated from the following files:

- Fl_FormsBitmap.H
- forms_bitmap.cxx